## org.exist.xquery
Class Dependency

    java.lang.Object
      org.exist.xquery.Dependency

public class Dependency
extends java.lang.Object

Defines bit flags to indicate, upon which parts of the execution context an expression depends (`Expression.getDependencies()`).

Author:
  wolf

Field Summary
`static int` `CONTEXT_ITEM` Expression depends on the current context item (in addition to the context sequence).
`static int` `CONTEXT_POSITION` Expression evaluates the context position and thus requires that the corresponding field in the context is set.
`static int` `CONTEXT_SET` Expression depends on the context sequence.
`static int` `CONTEXT_VARS` Expression depends on a variable declared in the context, i.e.
`static int` `DEFAULT_DEPENDENCIES` The default dependencies: just CONTEXT_SET is set.
`static int` `LOCAL_VARS` Expression depends on a variable declared within the same for or let expression.
`static int` `NO_DEPENDENCY` Expression has no dependencies, for example, if it is a literal value.
`static int` `UNKNOWN_DEPENDENCY`
`static int` `VARS` Bit mask to test if the expression depends on a variable reference.

Constructor Summary
`Dependency()`

Method Summary
`static boolean` `dependsOn(Expression expr, int dependency)`
`static boolean` `dependsOn(int expressionDep, int dependency)`
`static boolean` `dependsOnVar(Expression expr)`
`static java.lang.String` `getDependenciesName(int dependencies)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN_DEPENDENCY

    public static final int UNKNOWN_DEPENDENCY

See Also:
  Constant Field Values

### NO_DEPENDENCY

    public static final int NO_DEPENDENCY

  Expression has no dependencies, for example, if it is a literal value.

  See Also:
    Constant Field Values

### CONTEXT_SET

    public static final int CONTEXT_SET

  Expression depends on the context sequence. This is the default for most expressions.

  See Also:
    Constant Field Values

### CONTEXT_ITEM

    public static final int CONTEXT_ITEM

  Expression depends on the current context item (in addition to the context sequence).

  See Also:
    Constant Field Values

### LOCAL_VARS

    public static final int LOCAL_VARS

  Expression depends on a variable declared within the same for or let expression.

  See Also:
    Constant Field Values

### CONTEXT_VARS

    public static final int CONTEXT_VARS

  Expression depends on a variable declared in the context, i.e. an outer let or for.

  See Also:
    Constant Field Values

### VARS

    public static final int VARS

  Bit mask to test if the expression depends on a variable reference.

  See Also:
    Constant Field Values

### CONTEXT_POSITION

    public static final int CONTEXT_POSITION

  Expression evaluates the context position and thus requires that the corresponding field in the context is set.

  See Also:
    Constant Field Values

### DEFAULT_DEPENDENCIES

    public static final int DEFAULT_DEPENDENCIES

  The default dependencies: just CONTEXT_SET is set.

  See Also:
    Constant Field Values

Constructor Detail

### Dependency

    public Dependency()

Method Detail

### getDependenciesName

    public static final java.lang.String getDependenciesName(int dependencies)

### dependsOn

    public static final boolean dependsOn(Expression expr,
                                          int dependency)

### dependsOn

    public static final boolean dependsOn(int expressionDep,
                                          int dependency)

### dependsOnVar

    public static final boolean dependsOnVar(Expression expr)

Copyright (C) Wolfgang Meier. All rights reserved.